Bug 454941 - Binary-factory : "RelWithDebInfo" OpenCV library targets not found while configuring digiKam.
Summary: Binary-factory : "RelWithDebInfo" OpenCV library targets not found while conf...
Status: RESOLVED FIXED
Alias: None
Product: Craft
Classification: Developer tools
Component: Blueprints (show other bugs)
Version: master
Platform: Microsoft Windows Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: Hannah von Reth
URL:
Keywords:
Depends on:
Blocks: 398582
  Show dependency treegraph
 
Reported: 2022-06-06 19:14 UTC by caulier.gilles
Modified: 2022-06-13 17:57 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description caulier.gilles 2022-06-06 19:14:03 UTC
Hi,

Look the configuring stage of digiKam under MSVC from the binary-factory. All OpenCV targets are not found by cmake and compilation is broken. Example :

18:59:35  -- Configuring done
18:59:45  CMake Warning (dev) in core/CMakeLists.txt:
18:59:45    Policy CMP0111 is not set: An imported target missing its location property
18:59:45    fails during generation.  Run "cmake --help-policy CMP0111" for policy
18:59:45    details.  Use the cmake_policy command to set the policy and suppress this
18:59:45    warning.
18:59:45  
18:59:45    IMPORTED_IMPLIB not set for imported target "opencv_core" configuration
18:59:45    "RelWithDebInfo".
18:59:45  This warning is for project developers.  Use -Wno-dev to suppress it.
18:59:45  
18:59:45  CMake Warning (dev) in core/CMakeLists.txt:
18:59:45    Policy CMP0111 is not set: An imported target missing its location property
18:59:45    fails during generation.  Run "cmake --help-policy CMP0111" for policy
18:59:45    details.  Use the cmake_policy command to set the policy and suppress this
18:59:45    warning.
18:59:45  
18:59:45    IMPORTED_IMPLIB not set for imported target "opencv_objdetect"
18:59:45    configuration "RelWithDebInfo".
18:59:45  This warning is for project developers.  Use -Wno-dev to suppress it.
18:59:45  
18:59:45  CMake Warning (dev) in core/CMakeLists.txt:
18:59:45    Policy CMP0111 is not set: An imported target missing its location property
18:59:45    fails during generation.  Run "cmake --help-policy CMP0111" for policy
18:59:45    details.  Use the cmake_policy command to set the policy and suppress this
18:59:45    warning.
18:59:45  
18:59:45    IMPORTED_IMPLIB not set for imported target "opencv_imgproc" configuration
18:59:45    "RelWithDebInfo".
18:59:45  This warning is for project developers.  Use -Wno-dev to suppress it.
18:59:45  
...

Full log file can be found here :

https://binary-factory.kde.org/view/Windows%2064-bit/job/Digikam_Nightly_win64/952/console

Note : digiKam compile fine under MSVC from the KDE build :

https://build.kde.org/view/OS%20-%20Windows/job/Extragear/job/digikam/job/kf5-qt5%20WindowsMSVCQt5.15/2284/consoleFull

As both uses Craft, so there is something wrong in binary-factory infrastructure...

Best regards

Gilles Caulier
Comment 1 Hannah von Reth 2022-06-07 09:26:46 UTC
Its found but broken.

from that log:
```
[2022-06-06T16:59:22.766Z] -- Found OpenCV: C:/Craft/BinaryFactory/windows-msvc2019_64-cl (found version "4.5.3") found components: core objdetect imgproc imgcodecs dnn flann 
[2022-06-06T16:59:22.766Z] -- OpenCV Root directory is: C:/Craft/BinaryFactory/windows-msvc2019_64-cl/lib/cmake/opencv4
[2022-06-06T16:59:22.766Z] -- OpenCV: Found version 4.5.3 (required: 3.3.0)
[2022-06-06T16:59:22.766Z] -- OpenCV headers: C:/Craft/BinaryFactory/windows-msvc2019_64-cl/include/opencv4
[2022-06-06T16:59:22.766Z] -- OpenCV libs   : opencv_core;opencv_objdetect;opencv_imgproc;opencv_imgcodecs;opencv_dnn;opencv_flann
Comment 2 caulier.gilles 2022-06-08 11:03:52 UTC
Hi Hannah,

Did you mean that the problem can be located into the digiKam cmake scripts to detect opencv ?

Files are located here : 

- main opencv rules : https://invent.kde.org/graphics/digikam/-/blob/master/core/cmake/rules/RulesLibOpenCV.cmake
- opencv detection macro : https://invent.kde.org/graphics/digikam/-/blob/master/core/cmake/macros/MacroOpenCV.cmake

Nothing more. code is simple and robust since a while. This dysfunction is strange as this code work as expected with Craft for the build.kde.org server and the MSVC target:

https://build.kde.org/job/Extragear/job/digikam/job/kf5-qt5%20WindowsMSVCQt5.15/

Best

Gilles
Comment 3 caulier.gilles 2022-06-08 13:46:18 UTC
Hannah,

I think a partial response can be found here :

https://discourse.cmake.org/t/imported-implib-not-set-for-imported-target/5398/3

What do you suggest to detect opencv debug files ?

Gilles
Comment 4 caulier.gilles 2022-06-08 17:48:52 UTC
Hannah,

The problem come from certainly OPenCV config cmake script installed on the computer. See this issue :

https://github.com/opencv/opencv/issues/10105

This want mean that only Release and Debug target are supported by OPenCV not RelWithDebInfo. The OpenCV from Binary-Factory must be re-installed as Release target to fix this issue.

Gilles
Comment 5 caulier.gilles 2022-06-11 12:50:47 UTC
Hi,

If i compare more in deep the opencv differences between build factory and binary factory:

- from build factory (MSVC) where digiKam code detect OpenCV:

06:22:55  -- Found OpenCV: C:/Craft/CI-Qt515/windows-msvc2019_64-cl-debug (found version "4.5.1") found components: core objdetect imgproc imgcodecs dnn flann 
06:22:55  -- OpenCV Root directory is: C:/Craft/CI-Qt515/windows-msvc2019_64-cl-debug/lib/cmake/opencv4
06:22:55  -- OpenCV: Found version 4.5.1 (required: 3.3.0)
06:22:55  -- OpenCV headers: C:/Craft/CI-Qt515/windows-msvc2019_64-cl-debug/include/opencv4
06:22:55  -- OpenCV libs   : opencv_core;opencv_objdetect;opencv_imgproc;opencv_imgcodecs;opencv_dnn;opencv_flann

- from the binary factory (MSVC) where digiKam code DO NOT detect OpenCV:

11:12:30  -- Found OpenCV: C:/Craft/BinaryFactory/windows-msvc2019_64-cl (found version "4.5.3") found components: core objdetect imgproc imgcodecs dnn flann 
11:12:30  -- OpenCV Root directory is: C:/Craft/BinaryFactory/windows-msvc2019_64-cl/lib/cmake/opencv4
11:12:30  -- OpenCV: Found version 4.5.3 (required: 3.3.0)
11:12:30  -- OpenCV headers: C:/Craft/BinaryFactory/windows-msvc2019_64-cl/include/opencv4
11:12:30  -- OpenCV libs   : opencv_core;opencv_objdetect;opencv_imgproc;opencv_imgcodecs;opencv_dnn;opencv_flann

- from the binary factory (MinGW) where digiKam code detect OpenCV:

03:19:26  -- Found OpenCV: C:/Craft/BinaryFactory/windows-mingw_64-gcc (found version "4.5.3") found components: core objdetect imgproc imgcodecs dnn flann 
03:19:26  -- OpenCV Root directory is: C:/Craft/BinaryFactory/windows-mingw_64-gcc/lib/cmake/opencv4
03:19:26  -- OpenCV: Found version 4.5.3 (required: 3.3.0)
03:19:26  -- OpenCV headers: C:/Craft/BinaryFactory/windows-mingw_64-gcc/include/opencv4
03:19:26  -- OpenCV libs   : opencv_core;opencv_objdetect;opencv_imgproc;opencv_imgcodecs;opencv_dnn;opencv_flann

So:

- build factory MSVC : opencv 4.5.1 with debug symbols -> OK.
- binary factory MSVC : opencv 4.5.3 with no debug symbol -> DO NOT WORK.
- binary factory Mingw : opencv 4.5.3 with no debug symbol -> OK.

It sound like the MSVC compiled version of opencv 4.5.3 is not well installed

Best

Gilles Caulier
Comment 6 caulier.gilles 2022-06-11 13:01:41 UTC
Git commit 728eb9e533fd922b56ecb60f24fc953aa0427325 by Gilles Caulier.
Committed on 11/06/2022 at 13:00.
Pushed by cgilles into branch 'master'.

force openCV 4.5.1 to try to build MSVC target under binary factory

M  +5    -2    extragear/digikam/digikam.py

https://invent.kde.org/packaging/craft-blueprints-kde/commit/728eb9e533fd922b56ecb60f24fc953aa0427325
Comment 7 caulier.gilles 2022-06-11 19:57:23 UTC
Git commit 72c688de498d2129180cb11b7b4b37782237292f by Gilles Caulier.
Committed on 11/06/2022 at 17:47.
Pushed by bcooksley into branch 'master'.

Binary factory:swicth digiKam to opencv 4.5.1.

M  +1    -0    craft/enabled-projects.yaml

https://invent.kde.org/sysadmin/binary-factory-tooling/commit/72c688de498d2129180cb11b7b4b37782237292f
Comment 8 caulier.gilles 2022-06-12 12:20:51 UTC
Hannah,

I switched the digiKam binary factory to opencv 4.5.1 as the build factory. The MSVC target now compile OpenCV code before digiKam. This is the cmake configuration report from OpenCV:

14:13:28  -- General configuration for OpenCV 4.5.1 =====================================
14:13:28  --   Version control:               unknown
14:13:28  -- 
14:13:28  --   Extra modules:
14:13:28  --     Location (extra):            C:/_/c4ae9eb/opencv_contrib-4.5.3/modules
14:13:28  --     Version control (extra):     unknown
14:13:28  -- 
14:13:28  --   Platform:
14:13:28  --     Timestamp:                   2022-06-12T12:13:28Z
14:13:28  --     Host:                        Windows 10.0.19043 AMD64
14:13:28  --     CMake:                       3.19.2
14:13:28  --     CMake generator:             Ninja
14:13:28  --     CMake build tool:            C:/Craft/BinaryFactory/windows-msvc2019_64-cl/dev-utils/bin/ninja.exe
14:13:28  --     MSVC:                        1929
14:13:28  --     Configuration:               RelWithDebInfo
14:13:28  -- 
14:13:28  --   CPU/HW features:
14:13:28  --     Baseline:                    SSE SSE2
14:13:28  --       requested:                 SSE2
14:13:28  --     Dispatched code generation:
14:13:28  --       requested:                 SSE2
14:13:28  -- 
14:13:28  --   C/C++:
14:13:28  --     Built as dynamic libs?:      YES
14:13:28  --     C++ standard:                11
14:13:28  --     C++ Compiler:                C:/Program Files (x86)/Microsoft Visual Studio/2019/Professional/VC/Tools/MSVC/14.29.30037/bin/Hostx64/x64/cl.exe  (ver 19.29.30038.1)
14:13:28  --     C++ flags (Release):         /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589  /MD /O2 /Ob2 /DNDEBUG 
14:13:29  --     C++ flags (Debug):           /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589  /MDd /Zi /Ob0 /Od /RTC1 
14:13:29  --     C Compiler:                  C:/Program Files (x86)/Microsoft Visual Studio/2019/Professional/VC/Tools/MSVC/14.29.30037/bin/Hostx64/x64/cl.exe
14:13:29  --     C flags (Release):           /DWIN32 /D_WINDOWS /W3  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS      /MD /O2 /Ob2 /DNDEBUG 
14:13:29  --     C flags (Debug):             /DWIN32 /D_WINDOWS /W3  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /MDd /Zi /Ob0 /Od /RTC1 
14:13:29  --     Linker flags (Release):      /machine:x64  /INCREMENTAL:NO 
14:13:29  --     Linker flags (Debug):        /machine:x64  /debug /INCREMENTAL 
14:13:29  --     ccache:                      NO
14:13:29  --     Precompiled headers:         NO
14:13:29  --     Extra dependencies:
14:13:29  --     3rdparty dependencies:
14:13:29  -- 
14:13:29  --   OpenCV modules:
14:13:29  --     To be built:                 calib3d core dnn features2d flann imgcodecs imgproc ml objdetect plot tracking video
14:13:29  --     Disabled:                    world
14:13:29  --     Disabled by dependency:      aruco barcode bgsegm bioinspired ccalib datasets dnn_objdetect dnn_superres dpm face fuzzy gapi hdf hfs highgui img_hash intensity_transform java_bindings_generator js_bindings_generator line_descriptor mcc objc_bindings_generator optflow phase_unwrapping photo python_bindings_generator python_tests quality rapid reg rgbd saliency shape stereo stitching structured_light superres surface_matching text videoio videostab wechat_qrcode xfeatures2d ximgproc xobjdetect xphoto
14:13:29  --     Unavailable:                 alphamat cudaarithm cudabgsegm cudacodec cudafeatures2d cudafilters cudaimgproc cudalegacy cudaobjdetect cudaoptflow cudastereo cudawarping cudev cvv freetype java julia matlab ovis python2 python3 sfm ts viz
14:13:29  --     Applications:                apps
14:13:29  --     Documentation:               NO
14:13:29  --     Non-free algorithms:         NO
14:13:29  -- 
14:13:29  --   Windows RT support:            NO
14:13:29  -- 
14:13:29  --   GUI: 
14:13:29  -- 
14:13:29  --   Media I/O: 
14:13:29  --     ZLib:                        C:/Craft/BinaryFactory/windows-msvc2019_64-cl/lib/zlib.lib (ver 1.2.12)
14:13:29  --     HDR:                         NO
14:13:29  --     SUNRASTER:                   NO
14:13:29  --     PXM:                         NO
14:13:29  --     PFM:                         YES
14:13:29  -- 
14:13:29  --   Video I/O:
14:13:29  --     Media Foundation:            YES
14:13:29  --       DXVA:                      YES
14:13:29  -- 
14:13:29  --   Parallel framework:            Concurrency
14:13:29  -- 
14:13:29  --   Trace:                         YES (with Intel ITT)
14:13:29  -- 
14:13:29  --   Other third-party libraries:
14:13:29  --     Custom HAL:                  NO
14:13:29  --     Protobuf:                    C:/Craft/BinaryFactory/windows-msvc2019_64-cl/lib/libprotobuf.lib (3.11.2)
14:13:29  -- 
14:13:29  --   Python (for build):            C:/Craft/BinaryFactory/windows-msvc2019_64-cl/dev-utils/bin/python2.exe
14:13:29  -- 
14:13:29  --   Java:                          
14:13:29  --     ant:                         NO
14:13:29  --     JNI:                         NO
14:13:29  --     Java wrappers:               NO
14:13:29  --     Java tests:                  NO
14:13:29  -- 
14:13:29  --   Install to:                    C:/Craft/BinaryFactory/windows-msvc2019_64-cl
14:13:29  -- -----------------------------------------------------------------
14:13:29  -- 
14:13:29  -- Configuring done

14:13:30  -- Generating done
14:13:30  -- Build files have been written to: C:/_/16144dac/build

As you can see RelWithDebInfo target is used to build OpenCV...

We will see if digiKam found OpenCV with Cmake now.

Gilles
Comment 9 caulier.gilles 2022-06-12 12:31:36 UTC
OpenCV do not compile due to a broken Contrib module "tracking" :

14:15:16  [459/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\tldTracker.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/tldTracker.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\tldTracker.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\tldTracker.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [460/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\tracker.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/tracker.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\tracker.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\tracker.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [461/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\tldEnsembleClassifier.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/tldEnsembleClassifier.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\tldEnsembleClassifier.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\tldEnsembleClassifier.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [462/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\onlineBoosting.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/onlineBoosting.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\onlineBoosting.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\onlineBoosting.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [463/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\augmented_unscented_kalman.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/augmented_unscented_kalman.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\augmented_unscented_kalman.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\augmented_unscented_kalman.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [464/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\tldModel.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/tldModel.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\tldModel.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\tldModel.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [465/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\multiTracker.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/multiTracker.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\multiTracker.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\multiTracker.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [466/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\tldDataset.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/tldDataset.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\tldDataset.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\tldDataset.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [467/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\kuhn_munkres.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/kuhn_munkres.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\kuhn_munkres.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\kuhn_munkres.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [468/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\multiTracker_alt.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/multiTracker_alt.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\multiTracker_alt.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\multiTracker_alt.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [469/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\trackerBoosting.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/trackerBoosting.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\trackerBoosting.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\trackerBoosting.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [470/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\trackerCSRTUtils.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/trackerCSRTUtils.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\trackerCSRTUtils.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\trackerCSRTUtils.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [471/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\feature.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/feature.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\feature.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\feature.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [472/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\tldDetector.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/tldDetector.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\tldDetector.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\tldDetector.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [473/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\mosseTracker.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/mosseTracker.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\mosseTracker.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\mosseTracker.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [474/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\featureColorName.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/featureColorName.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\featureColorName.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\featureColorName.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [475/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\gtrUtils.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/gtrUtils.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\gtrUtils.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\gtrUtils.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  [476/495] Building CXX object modules\tracking\CMakeFiles\opencv_tracking.dir\src\tldUtils.cpp.obj
14:15:16  FAILED: modules/tracking/CMakeFiles/opencv_tracking.dir/src/tldUtils.cpp.obj 
14:15:16  C:\PROGRA~2\MICROS~1\2019\PROFES~1\VC\Tools\MSVC\1429~1.300\bin\Hostx64\x64\cl.exe  /nologo /TP -DCVAPI_EXPORTS -D_USE_MATH_DEFINES -D_VARIADIC_MAX=10 -D_WIN32_WINNT=0x0601 -D__OPENCV_BUILD=1 -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include -Imodules\tracking -IC:\_\16144dac\opencv-4.5.1\modules\core\include -IC:\_\16144dac\opencv-4.5.1\modules\flann\include -IC:\_\16144dac\opencv-4.5.1\modules\imgproc\include -IC:\_\c4ae9eb\opencv_contrib-4.5.3\modules\plot\include -IC:\_\16144dac\opencv-4.5.1\modules\dnn\include -IC:\_\16144dac\opencv-4.5.1\modules\features2d\include -IC:\_\16144dac\opencv-4.5.1\modules\calib3d\include -IC:\_\16144dac\opencv-4.5.1\modules\video\include -I. /DWIN32 /D_WINDOWS /W4 /GR  /D _CRT_SECURE_NO_DEPRECATE /D _CRT_NONSTDC_NO_DEPRECATE /D _SCL_SECURE_NO_WARNINGS /Gy /bigobj /Oi  /fp:precise /FS    /EHa /wd4127 /wd4251 /wd4324 /wd4275 /wd4512 /wd4589 /wd4458 /MD /Zi /O2 /Ob1 /DNDEBUG /showIncludes /Fomodules\tracking\CMakeFiles\opencv_tracking.dir\src\tldUtils.cpp.obj /Fdlib\opencv_tracking451.pdb /FS -c C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\src\tldUtils.cpp
14:15:16  C:\_\c4ae9eb\opencv_contrib-4.5.3\modules\tracking\include\opencv2/tracking/tracking_internals.hpp(18): fatal error C1083: Cannot open include file: 'opencv2/video/detail/tracking.detail.hpp': No such file or directory
14:15:16  ninja: build stopped: subcommand failed.
14:15:16  Command ['C:\\Craft\\BinaryFactory\\windows-msvc2019_64-cl\\dev-utils\\bin\\ninja.exe'] failed with exit code 1
14:15:16  Action: compile for libs/opencv/opencv:4.5.1 FAILED
14:15:16  *** Craft all failed: libs/opencv/opencv after 2 minutes 15 seconds ***
14:15:16  fatal error: package libs/opencv/opencv all failed
14:15:16  Craft stopped with out completing ['libs/opencv/opencv']
14:15:16  Generate Settings
14:15:16  Command C:\Program Files\Python38\python.exe -u C:\Craft\BinaryFactory\windows-msvc2019_64-cl\craft\bin\craft.py --options libs/opencv/opencv.version=4.5.1 --target master --install-deps digikam failed with exit code: 1

By experience the Contrib modules from opencv are a pain to compile and genrally unstable. I recommend to drop the 3rd party opencv modules which are so far unecessary and experimiental. digiKam don't use and will never use these experimental codes.

How i can specify in Craft to not compile OpenCV Contrib modules for digiKam ?

Best

Gilles Caulier
Comment 10 caulier.gilles 2022-06-13 17:57:26 UTC
Git commit 25166f373af66f822a1f44ac93b6734965827148 by Gilles Caulier.
Committed on 13/06/2022 at 15:07.
Pushed by cgilles into branch 'master'.

We need to switch digiKam target as Release to detect OpenCV as RelWithDebInfo in not supported by OpenCV cmake shared config.
event if rules are present and shared with client application:
https://github.com/opencv/opencv/blob/4.x/cmake/templates/OpenCVConfig.cmake.in#L151

M  +2    -0    CMakeLists.txt

https://invent.kde.org/graphics/digikam/commit/25166f373af66f822a1f44ac93b6734965827148